2019-12-13 08:13 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002174FSSCPmultiplayerpublic2010-11-12 18:47
ReporterFUBAR-BDHR 
Assigned ToFUBAR-BDHR 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.12 RC1 
Target VersionFixed in Version3.6.13 
Summary0002174: ERANGE: String error in multiui.cpp
DescriptionI think this is a 2 part error. Pretty sure the first part is caused by a check in void multi_common_add_text() being one off.

    if((strlen(str) + strlen(Multi_common_all_text)) > MULTI_COMMON_MAX_TEXT){
        return ;

I think that needs to be a >= check which shold prevent if from getting to the else part where the problem occurred.

The real issue is why did it get to 2001 characters (yes exactly 2001 (0 to 2000) at the crash). Seems like that should never get that big.

Additional InformationUsing MediaVPs but it was a retail mission (Templar-01.fs2). 3.6.13 r6005 Inferno SSE2 build. I still have the debugger open. Will attach logs when I close it. Stack and variables:

ERANGE: String error. Please Report.
Trying to put into 2000 byte buffer:
Moving into game

<no module>! KiFastSystemCallRet
<no module>! WaitForSingleObject + 18 bytes
<no module>! SCP_DumpStack + 354 bytes
<no module>! Error + 229 bytes
<no module>! scp_strcat_s + 383 bytes
<no module>! scp_strcat_s<2000> + 56 bytes
<no module>! multi_common_add_text + 100 bytes
<no module>! multi_sync_post_do + 880 bytes
<no module>! multi_sync_do + 119 bytes
<no module>! game_do_state + 1318 bytes
<no module>! gameseq_process_events + 237 bytes
<no module>! game_main + 782 bytes
<no module>! WinMain + 330 bytes
<no module>! __tmainCRTStartup + 358 bytes
<no module>! WinMainCRTStartup + 15 bytes
<no module>! RegisterWaitForInputIdle + 73 bytes


     fs2_open_3_6_13d_INF_SSE2.exe!debug_int3(char * file=0x00ea63e4, int line=1155) Line 764 C++
     fs2_open_3_6_13d_INF_SSE2.exe!Error(const char * filename=0x00efddc9, int line=172, const char * format=0x00f0f580, ...) Line 1155 + 0x13 bytes C++
> fs2_open_3_6_13d_INF_SSE2.exe!scp_strcat_s(const char * file=0x00efddb0, int line=172, char * strDest=0x026f94c8, unsigned int sizeInBytes=2000, const char * strSource=0x032a9828) Line 112 + 0x1f bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!scp_strcat_s<2000>(const char * file=0x00efddb0, int line=172, char [2000]& strDest=0x026f94c8, const char * strSource=0x032a9828) Line 64 + 0x1a bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!multi_common_add_text(char * str=0x032a9828, int auto_scroll=1) Line 172 + 0x1d bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!multi_sync_post_do() Line 8349 + 0x1a bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!multi_sync_do() Line 7538 C++
     fs2_open_3_6_13d_INF_SSE2.exe!game_do_state(int state=38) Line 7143 C++
     fs2_open_3_6_13d_INF_SSE2.exe!gameseq_process_events() Line 405 + 0x14 bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!game_main(char * cmdline=0x0015232f) Line 7520 + 0x5 bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!WinMain(HINSTANCE__ * hInst=0x00400000, HINSTANCE__ * hPrev=0x00000000, char * szCmdLine=0x0015232f, int nCmdShow=10) Line 7600 + 0x9 bytes C++
     fs2_open_3_6_13d_INF_SSE2.exe!__tmainCRTStartup() Line 263 + 0x2c bytes C
     fs2_open_3_6_13d_INF_SSE2.exe!WinMainCRTStartup() Line 182 C
     kernel32.dll!7c817077()
     [Frames below may be incorrect and/or missing, no symbols loaded for kernel32.dll]


+ file 0x00efddb0 "c:\fs2_open\code\network\multiui.cpp" const char *
        line 172 int
+ strDest 0x026f94c8 "" char *
        sizeInBytes 2000 unsigned int
+ strSource 0x032a9828 "Moving into game
" const char *
        bufferLeft 0 unsigned int
+ pSource 0x032a9839 "" const char *
+ pDest 0x026f9c98 "" char *
TagsNo tags attached.
Attached Files
  • rar file icon 2174.rar (605,736 bytes) 2010-04-06 15:05

-Relationships
+Relationships

-Notes

~0012455

FUBAR-BDHR (developer)

Committed r6729
+Notes

-Issue History
Date Modified Username Field Change
2010-04-03 17:17 FUBAR-BDHR New Issue
2010-04-06 15:05 FUBAR-BDHR File Added: 2174.rar
2010-11-03 02:04 FUBAR-BDHR Status new => assigned
2010-11-03 02:04 FUBAR-BDHR Assigned To => FUBAR-BDHR
2010-11-12 18:47 FUBAR-BDHR Note Added: 0012455
2010-11-12 18:47 FUBAR-BDHR Status assigned => resolved
2010-11-12 18:47 FUBAR-BDHR Fixed in Version => 3.6.13
2010-11-12 18:47 FUBAR-BDHR Resolution open => fixed
+Issue History